Update Evolution Bot
curl --request PUT \
--url https://{server-url}/evolutionBot/update/:evolutionBotId/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"enabled": true,
"apiUrl": "<string>",
"triggerType": "<string>",
"triggerOperator": "<string>",
"triggerValue": "<string>",
"expire": 123,
"keywordFinish": "<string>",
"delayMessage": 123,
"unknownMessage": "<string>",
"listeningFromMe": true,
"stopBotFromMe": true,
"keepOpen": true,
"debounceTime": 123,
"apiKey": "<string>",
"ignoreJids": [
"<string>"
]
}
'import requests
url = "https://{server-url}/evolutionBot/update/:evolutionBotId/{instance}"
payload = {
"enabled": True,
"apiUrl": "<string>",
"triggerType": "<string>",
"triggerOperator": "<string>",
"triggerValue": "<string>",
"expire": 123,
"keywordFinish": "<string>",
"delayMessage": 123,
"unknownMessage": "<string>",
"listeningFromMe": True,
"stopBotFromMe": True,
"keepOpen": True,
"debounceTime": 123,
"apiKey": "<string>",
"ignoreJids": ["<string>"]
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
apiUrl: '<string>',
triggerType: '<string>',
triggerOperator: '<string>',
triggerValue: '<string>',
expire: 123,
keywordFinish: '<string>',
delayMessage: 123,
unknownMessage: '<string>',
listeningFromMe: true,
stopBotFromMe: true,
keepOpen: true,
debounceTime: 123,
apiKey: '<string>',
ignoreJids: ['<string>']
})
};
fetch('https://{server-url}/evolutionBot/update/:evolutionBotId/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{server-url}/evolutionBot/update/:evolutionBotId/{instance}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true,
'apiUrl' => '<string>',
'triggerType' => '<string>',
'triggerOperator' => '<string>',
'triggerValue' => '<string>',
'expire' => 123,
'keywordFinish' => '<string>',
'delayMessage' => 123,
'unknownMessage' => '<string>',
'listeningFromMe' => true,
'stopBotFromMe' => true,
'keepOpen' => true,
'debounceTime' => 123,
'apiKey' => '<string>',
'ignoreJids' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"apikey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{server-url}/evolutionBot/update/:evolutionBotId/{instance}"
payload := strings.NewReader("{\n \"enabled\": true,\n \"apiUrl\": \"<string>\",\n \"triggerType\": \"<string>\",\n \"triggerOperator\": \"<string>\",\n \"triggerValue\": \"<string>\",\n \"expire\": 123,\n \"keywordFinish\": \"<string>\",\n \"delayMessage\": 123,\n \"unknownMessage\": \"<string>\",\n \"listeningFromMe\": true,\n \"stopBotFromMe\": true,\n \"keepOpen\": true,\n \"debounceTime\": 123,\n \"apiKey\": \"<string>\",\n \"ignoreJids\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("apikey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{server-url}/evolutionBot/update/:evolutionBotId/{instance}")
.header("apikey", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"apiUrl\": \"<string>\",\n \"triggerType\": \"<string>\",\n \"triggerOperator\": \"<string>\",\n \"triggerValue\": \"<string>\",\n \"expire\": 123,\n \"keywordFinish\": \"<string>\",\n \"delayMessage\": 123,\n \"unknownMessage\": \"<string>\",\n \"listeningFromMe\": true,\n \"stopBotFromMe\": true,\n \"keepOpen\": true,\n \"debounceTime\": 123,\n \"apiKey\": \"<string>\",\n \"ignoreJids\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{server-url}/evolutionBot/update/:evolutionBotId/{instance}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["apikey"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true,\n \"apiUrl\": \"<string>\",\n \"triggerType\": \"<string>\",\n \"triggerOperator\": \"<string>\",\n \"triggerValue\": \"<string>\",\n \"expire\": 123,\n \"keywordFinish\": \"<string>\",\n \"delayMessage\": 123,\n \"unknownMessage\": \"<string>\",\n \"listeningFromMe\": true,\n \"stopBotFromMe\": true,\n \"keepOpen\": true,\n \"debounceTime\": 123,\n \"apiKey\": \"<string>\",\n \"ignoreJids\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"message": "Sucess"
}Evolution Bot
Update Evolution Bot
Update an existing Evolution Bot configuration.
PUT
/
evolutionBot
/
update
/
:evolutionBotId
/
{instance}
Update Evolution Bot
curl --request PUT \
--url https://{server-url}/evolutionBot/update/:evolutionBotId/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"enabled": true,
"apiUrl": "<string>",
"triggerType": "<string>",
"triggerOperator": "<string>",
"triggerValue": "<string>",
"expire": 123,
"keywordFinish": "<string>",
"delayMessage": 123,
"unknownMessage": "<string>",
"listeningFromMe": true,
"stopBotFromMe": true,
"keepOpen": true,
"debounceTime": 123,
"apiKey": "<string>",
"ignoreJids": [
"<string>"
]
}
'import requests
url = "https://{server-url}/evolutionBot/update/:evolutionBotId/{instance}"
payload = {
"enabled": True,
"apiUrl": "<string>",
"triggerType": "<string>",
"triggerOperator": "<string>",
"triggerValue": "<string>",
"expire": 123,
"keywordFinish": "<string>",
"delayMessage": 123,
"unknownMessage": "<string>",
"listeningFromMe": True,
"stopBotFromMe": True,
"keepOpen": True,
"debounceTime": 123,
"apiKey": "<string>",
"ignoreJids": ["<string>"]
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
apiUrl: '<string>',
triggerType: '<string>',
triggerOperator: '<string>',
triggerValue: '<string>',
expire: 123,
keywordFinish: '<string>',
delayMessage: 123,
unknownMessage: '<string>',
listeningFromMe: true,
stopBotFromMe: true,
keepOpen: true,
debounceTime: 123,
apiKey: '<string>',
ignoreJids: ['<string>']
})
};
fetch('https://{server-url}/evolutionBot/update/:evolutionBotId/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{server-url}/evolutionBot/update/:evolutionBotId/{instance}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true,
'apiUrl' => '<string>',
'triggerType' => '<string>',
'triggerOperator' => '<string>',
'triggerValue' => '<string>',
'expire' => 123,
'keywordFinish' => '<string>',
'delayMessage' => 123,
'unknownMessage' => '<string>',
'listeningFromMe' => true,
'stopBotFromMe' => true,
'keepOpen' => true,
'debounceTime' => 123,
'apiKey' => '<string>',
'ignoreJids' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"apikey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{server-url}/evolutionBot/update/:evolutionBotId/{instance}"
payload := strings.NewReader("{\n \"enabled\": true,\n \"apiUrl\": \"<string>\",\n \"triggerType\": \"<string>\",\n \"triggerOperator\": \"<string>\",\n \"triggerValue\": \"<string>\",\n \"expire\": 123,\n \"keywordFinish\": \"<string>\",\n \"delayMessage\": 123,\n \"unknownMessage\": \"<string>\",\n \"listeningFromMe\": true,\n \"stopBotFromMe\": true,\n \"keepOpen\": true,\n \"debounceTime\": 123,\n \"apiKey\": \"<string>\",\n \"ignoreJids\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("apikey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{server-url}/evolutionBot/update/:evolutionBotId/{instance}")
.header("apikey", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"apiUrl\": \"<string>\",\n \"triggerType\": \"<string>\",\n \"triggerOperator\": \"<string>\",\n \"triggerValue\": \"<string>\",\n \"expire\": 123,\n \"keywordFinish\": \"<string>\",\n \"delayMessage\": 123,\n \"unknownMessage\": \"<string>\",\n \"listeningFromMe\": true,\n \"stopBotFromMe\": true,\n \"keepOpen\": true,\n \"debounceTime\": 123,\n \"apiKey\": \"<string>\",\n \"ignoreJids\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{server-url}/evolutionBot/update/:evolutionBotId/{instance}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["apikey"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true,\n \"apiUrl\": \"<string>\",\n \"triggerType\": \"<string>\",\n \"triggerOperator\": \"<string>\",\n \"triggerValue\": \"<string>\",\n \"expire\": 123,\n \"keywordFinish\": \"<string>\",\n \"delayMessage\": 123,\n \"unknownMessage\": \"<string>\",\n \"listeningFromMe\": true,\n \"stopBotFromMe\": true,\n \"keepOpen\": true,\n \"debounceTime\": 123,\n \"apiKey\": \"<string>\",\n \"ignoreJids\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"message": "Sucess"
}Authorizations
Your authorization key header
Path Parameters
ID of the Evolution Bot to update
Name of the instance
Body
application/json
Enable or disable the Evolution Bot
API URL for the bot
Trigger type, e.g., 'all' or 'keyword'
Operator logic, e.g., 'contains', 'equals', 'startsWith', 'endsWith', 'regex'
Trigger value, e.g., 'test'
Expiration time for the session (in seconds)
Keyword to terminate the session
Delay time (in ms) for sending messages
Message displayed when an unknown input is received
Listen to messages sent by the bot owner
Stop bot when the owner sends a message
Keep the session open after processing messages
Time delay to debounce messages
API Key for authentication (optional)
List of JIDs to ignore
Response
200 - application/json
Evo bot atualizado com sucesso
Example:
"Sucess"

